SDL_PathInfo(3type)

NAME
SDL_PathInfo - Information about a path on the filesystem.

HEADER FILE
Defined in SDL3/SDL_filesystem.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_PathInfo
{
    SDL_PathType type;      /**< the path type */
    Uint64 size;            /**< the file size in bytes */
    SDL_Time create_time;   /**< the time when the path was created */
    SDL_Time modify_time;   /**< the last time the path was modified */
    SDL_Time access_time;   /**< the last time the path was read */
} SDL_PathInfo;

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetPathInfo(3), •(3), SDL_GetStoragePathInfo(3)